/* eslint-disable react/jsx-props-no-spreading */
import React, { FC } from 'react';
import { SvgPropsType } from '@make.org/types';

export const SvgBrain: FC<SvgPropsType> = (props: SvgPropsType) => (
  <svg
    width={27}
    height={26}
    fill="none"
    xmlns="http://www.w3.org/2000/svg"
    {...props}
  >
    <path
      className="tofill"
      d="M25.863 12.594a5.699 5.699 0 0 0-3.25-5.14v-.142a4.875 4.875 0 0 0-8.937-2.69 4.875 4.875 0 0 0-8.938 2.69v.142a5.687 5.687 0 0 0 0 10.278v.143a4.875 4.875 0 0 0 8.938 2.69 4.875 4.875 0 0 0 8.937-2.69v-.143a5.697 5.697 0 0 0 3.25-5.138Zm-16.25 8.531a3.25 3.25 0 0 1-3.23-2.9c.262.037.527.056.793.056h.812a.812.812 0 1 0 0-1.625h-.812a4.063 4.063 0 0 1-1.354-7.894.813.813 0 0 0 .541-.766v-.684a3.25 3.25 0 0 1 6.5 0v6.933A4.855 4.855 0 0 0 9.613 13a.813.813 0 0 0 0 1.625 3.25 3.25 0 0 1 0 6.5Zm10.563-4.469h-.813a.812.812 0 1 0 0 1.625h.813c.265 0 .53-.02.793-.057a3.25 3.25 0 1 1-3.23-3.599.812.812 0 1 0 0-1.625c-1.2 0-2.359.443-3.25 1.245V7.312a3.25 3.25 0 1 1 6.5 0v.684a.813.813 0 0 0 .54.766 4.063 4.063 0 0 1-1.353 7.894Zm1.625-5.281a.812.812 0 0 1-.813.813h-.406a3.656 3.656 0 0 1-3.656-3.657v-.406a.812.812 0 1 1 1.625 0v.406a2.031 2.031 0 0 0 2.031 2.031h.406a.813.813 0 0 1 .813.813Zm-15.031.813h-.407a.812.812 0 1 1 0-1.626h.407a2.031 2.031 0 0 0 2.03-2.03v-.407a.812.812 0 1 1 1.626 0v.406a3.656 3.656 0 0 1-3.656 3.656Z"
      fill="#343330"
    />
  </svg>
);
